Package org.opencv.objdetect

## Class QRCodeDetectorAruco

- java.lang.Object
- - org.opencv.objdetect.GraphicalCodeDetector
  - - org.opencv.objdetect.QRCodeDetectorAruco

-     public class QRCodeDetectorAruco
      extends GraphicalCodeDetector

  QR code detector based on Aruco markers detection code.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.objdetect.GraphicalCodeDetector

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `QRCodeDetectorAruco()` |
    `protected` | `QRCodeDetectorAruco​(long addr)` |
    `` | `QRCodeDetectorAruco​(QRCodeDetectorAruco_Params params)` | QR code detector constructor for Aruco-based algorithm.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static QRCodeDetectorAruco` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `QRCodeDetectorAruco_Params` | `getDetectorParameters()` | Detector parameters getter.
    `QRCodeDetectorAruco` | `setDetectorParameters​(QRCodeDetectorAruco_Params params)` | Detector parameters setter.

    - ### Methods inherited from class org.opencv.objdetect.GraphicalCodeDetector

      `decode, decode, decodeMulti, decodeMulti, detect, detectAndDecode, detectAndDecode, detectAndDecode, detectAndDecodeMulti, detectAndDecodeMulti, detectAndDecodeMulti, detectMulti, getNativeObjAddr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QRCodeDetectorAruco

          protected QRCodeDetectorAruco​(long addr)

    - #### QRCodeDetectorAruco

          public QRCodeDetectorAruco()

    - #### QRCodeDetectorAruco

          public QRCodeDetectorAruco​(QRCodeDetectorAruco_Params params)

      QR code detector constructor for Aruco-based algorithm. See cv::QRCodeDetectorAruco::Params
      Parameters:
        `params` - automatically generated

  - ### Method Detail

    - #### __fromPtr__

          public static QRCodeDetectorAruco __fromPtr__​(long addr)

    - #### getDetectorParameters

          public QRCodeDetectorAruco_Params getDetectorParameters()

      Detector parameters getter. See cv::QRCodeDetectorAruco::Params
      Returns:
        automatically generated

    - #### setDetectorParameters

          public QRCodeDetectorAruco setDetectorParameters​(QRCodeDetectorAruco_Params params)

      Detector parameters setter. See cv::QRCodeDetectorAruco::Params
      Parameters:
        `params` - automatically generated
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `GraphicalCodeDetector`
      Throws:
        `java.lang.Throwable`